summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2017-12-01 20:42:21 +0100
committerJeroen Roovers <jer@gentoo.org>2017-12-01 20:42:21 +0100
commit8dcb8db3f09af70c2ef64a481f3ecdf65719fd75 (patch)
tree5dc7396770bd80aa591565212bebfffe2f4491a1
parentmedia-sound/soundkonverter: Block slot 4 (diff)
downloadgentoo-8dcb8db3f09af70c2ef64a481f3ecdf65719fd75.zip
gentoo-8dcb8db3f09af70c2ef64a481f3ecdf65719fd75.tar.gz
gentoo-8dcb8db3f09af70c2ef64a481f3ecdf65719fd75.tar.bz2
www-client/vivaldi: Version bump.
Package-Manager: Portage-2.3.16, Repoman-2.3.6
-rw-r--r--www-client/vivaldi/Manifest2
-rw-r--r--www-client/vivaldi/vivaldi-1.13.1008.34_p1.ebuild128
2 files changed, 130 insertions, 0 deletions
diff --git a/www-client/vivaldi/Manifest b/www-client/vivaldi/Manifest
index fe7d4d4..43ba8e7 100644
--- a/www-client/vivaldi/Manifest
+++ b/www-client/vivaldi/Manifest
@@ -1,2 +1,4 @@
DIST vivaldi-1.13.1008.32_p1-amd64.deb 49248234 BLAKE2B 8c9051fd749e37b85f601fe9ba4fd1ac7a5251ef4acd0584fd929ff29d8cd9f70a7e121b56325ffe857774a972cf378541bd81a56f1311b77f0cbb4414c7cbae SHA512 a8f003c2391b80cdaf64feaeef09fed318f03806276bfc2a40369ad6aea0acd70cdb18e674d3407a9ebd6bf1920998461531795d6eac676fae5a94118e4913b5
DIST vivaldi-1.13.1008.32_p1-i386.deb 50138250 BLAKE2B 4e76e4d78fc2ac0093d25750fc38b0594784d85673d8520f520bca8788d6515bf7bb83148e994f52a61a31c72f79ce6b5152c38e06fed58aabe6453c3d05106b SHA512 ef0024038a35cc35e083f0652c5025e327ab39c653d3e44cb188949b8c75704b6cb7e325a87cf17999e8045f6f398841d523fc6bce215dc2caebaf9d63f56653
+DIST vivaldi-1.13.1008.34_p1-amd64.deb 49259224 BLAKE2B 32756c71b42942c087dc563688225ed9013d8de3da3e788b5aba62ad25d08237e2a6583d50379f0a9a3d2ab1258250adca4d302fec563a2d63f04c92a51a6349 SHA512 4d26ee227a11eecbb32062dd66de2ac64d94f7d523c83dc815ed5125b0f0ea86cc52a7877777d5df4135eb5755693b1772cc56b18d799d70dc46558826278b68
+DIST vivaldi-1.13.1008.34_p1-i386.deb 50147426 BLAKE2B b595c78e85a8a1bfe08554a7e85db7969ffa798488b053a5254bf819f82f015033a98793696a293e2080a8d1dafb30cdcd9ad30a6ae7717b95ee7bc4e5613643 SHA512 450f0983ff753fb64fe9c588f151e9a6b5cd04f4c2fd03a41e8a1af28ac3db0088a3a408eacc9394f2dee589381d03037d06601d8d5a50274b867a3b708206ef
diff --git a/www-client/vivaldi/vivaldi-1.13.1008.34_p1.ebuild b/www-client/vivaldi/vivaldi-1.13.1008.34_p1.ebuild
new file mode 100644
index 00000000..83d658c
--- /dev/null
+++ b/www-client/vivaldi/vivaldi-1.13.1008.34_p1.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+CHROMIUM_LANGS="
+ am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he hi
+ hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv
+ sw ta te th tr uk vi zh-CN zh-TW
+"
+inherit chromium-2 eutils gnome2-utils multilib unpacker toolchain-funcs xdg-utils
+
+#VIVALDI_BRANCH="snapshot"
+
+VIVALDI_PN="${PN}-${VIVALDI_BRANCH:-stable}"
+VIVALDI_BIN="${PN}${VIVALDI_BRANCH/snapshot/-snapshot}"
+VIVALDI_HOME="opt/${VIVALDI_BIN}"
+DESCRIPTION="A new browser for our friends"
+HOMEPAGE="http://vivaldi.com/"
+VIVALDI_BASE_URI="https://downloads.vivaldi.com/${VIVALDI_BRANCH:-stable}/${VIVALDI_PN}_${PV/_p/-}_"
+SRC_URI="
+ amd64? ( ${VIVALDI_BASE_URI}amd64.deb -> ${P}-amd64.deb )
+ x86? ( ${VIVALDI_BASE_URI}i386.deb -> ${P}-i386.deb )
+"
+
+LICENSE="Vivaldi"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+RESTRICT="bindist mirror"
+
+DEPEND="
+ virtual/libiconv
+"
+RDEPEND="
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ >=dev-libs/openssl-1.0.1:0
+ gnome-base/gconf:2
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ net-misc/curl
+ net-print/cups
+ sys-apps/dbus
+ sys-libs/libcap
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango[X]
+"
+QA_PREBUILT="*"
+S=${WORKDIR}
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_prepare() {
+ iconv -c -t UTF-8 usr/share/applications/${VIVALDI_PN}.desktop > "${T}"/${VIVALDI_PN}.desktop || die
+ mv "${T}"/${VIVALDI_PN}.desktop usr/share/applications/${VIVALDI_PN}.desktop || die
+
+ sed -i \
+ -e "s|${VIVALDI_BIN}|${PN}|g" \
+ usr/share/applications/${VIVALDI_PN}.desktop \
+ usr/share/xfce4/helpers/${VIVALDI_BIN}.desktop || die
+
+ mv usr/share/doc/${VIVALDI_PN} usr/share/doc/${PF} || die
+ chmod 0755 usr/share/doc/${PF} || die
+
+ rm \
+ _gpgbuilder \
+ etc/cron.daily/${VIVALDI_BIN} \
+ ${VIVALDI_HOME}/libwidevinecdm.so \
+ || die
+ rmdir \
+ etc/cron.daily/ \
+ etc/ \
+ || die
+
+ local c d
+ for d in 16 22 24 32 48 64 128 256; do
+ mkdir -p usr/share/icons/hicolor/${d}x${d}/apps || die
+ cp \
+ ${VIVALDI_HOME}/product_logo_${d}.png \
+ usr/share/icons/hicolor/${d}x${d}/apps/vivaldi.png || die
+ done
+
+ pushd "${VIVALDI_HOME}/locales" > /dev/null || die
+ chromium_remove_language_paks
+ popd > /dev/null || die
+
+ epatch "${FILESDIR}"/${PN}-1.13.1008.32_p1-libffmpeg.patch
+
+ epatch_user
+}
+
+src_install() {
+ mv * "${D}" || die
+ dosym /${VIVALDI_HOME}/${PN} /usr/bin/${PN}
+
+ fperms 4711 /${VIVALDI_HOME}/${PN}-sandbox
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}